DKPDoor Knock Pro Docs
Appointments

Update an appointment

PATCH
/v1/appointments/{id}

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired
lead_idinteger
titlestring
notesstring
appointment_dateRequiredstring
Format: "date-time"
appointment_timestring
Pattern: "^\\d{2}:\\d{2}$"
duration_minutesinteger
Minimum: 1Maximum: 1440
statusstring
Value in: "pending" | "confirmed" | "done" | "canceled"
assigned_tointeger

Path Parameters

idRequiredinteger
curl -X PATCH "https://app.doorknockpro.com/api/v1/appointments/0" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "lead_id": 0,
    "title": "string",
    "notes": "string",
    "appointment_date": "2019-08-24T14:15:22Z",
    "appointment_time": "string",
    "duration_minutes": 1,
    "status": "pending",
    "assigned_to": 0
  }'

OK

{
  "data": {
    "id": 0,
    "lead_id": 0,
    "title": "string",
    "notes": "string",
    "status": "string",
    "duration_minutes": 0,
    "reminder_sent": true,
    "appointment_date": "2019-08-24T14:15:22Z",
    "appointment_time": "string",
    "created_by": 0,
    "assigned_to": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}